import pandas as pd
import numpy as np

def cleanvocs(lvocs):
    l = []
    for e in lvocs:
        l = l + [e.strip()]
    return l
    

def addtableline(exp,data):
    pass    


data = pd.read_csv('supporting_dataset.tsv', sep='\t')


voc = list(np.unique(cleanvocs(data['VOC'])))


header = ['Experiment', 'Paper', 'Method']+ voc + [ 'Pathogen']



#print header
z = np.zeros((1,len(header)))
result = open('input_for_classifiers.tsv','w')

result.write('\t'.join(header))
result.write('\n')


for e in np.unique(data['Experiment']):
#for e in range(4,5):   
    z = np.zeros((1,len(header)))
    ndframe = pd.DataFrame(z,columns=header)
    sdata = data[data['Experiment']==e]
    for i,exp_line in sdata.iterrows():
        ndframe[exp_line['VOC'].strip()]=1.0    
    ndframe['Experiment'] = e
    ndframe['Paper'] = sdata['Paper'].iloc[0]
    ndframe['Pathogen'] = sdata['Pathogen'].iloc[0]
    ndframe['Method'] = sdata['Analytical Method'].iloc[0]
    
    
    a = np.array(ndframe)[0]
    print (len(a))
    for i in range(len(a)):
        result.write(str(a[i]))
        if i<(len(a)-1): result.write('\t')
    result.write('\n')
    
result.close()
    
